Purchase Gift Card
Enables a user to purchase a gift card using the app of a business
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAccept
- Language Preferred language
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
- Type: stringamount
Amount with which the user wants to purchase a gift card. The minimum value can be configured in the Punchh platform.
- Type: stringcardholder
_name Name of the person who owns the payment card used to purchase a gift card. Not needed for Apple Pay / Android Wallet
- Type: stringclient
OAuth client ID provided by the business
- Type: stringdesign
_id ID of a particular gift card design selected by the user while purchasing a gift card
- Type: stringexp
_date Expiration date of the payment card used by the user. Not needed for Apple Pay / Android Wallet
- Type: stringpayment
_type This parameter is required when a user makes a payment via saved cards. Send "recurring" as the value of this parameter.
- Type: stringpostal
_code Zip code as specified by the cardholder in the billing address
- Type: stringtransaction
_token Unique digital identifier/token of the user's payment card, or the UUID of the saved payment card if the value of
payment_typeis "recurring". The transaction token is issued by a payment processor used by a business. - Type: stringtype
Type of payment card used by the user (e.g., Visa, Mastercard, etc.). Not needed for Apple Pay / Android Wallet
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/purchase \
--request POST \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Accept: application/json' \
--header 'Accept-Language: en' \
--header 'Content-Type: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE",
"design_id": 13,
"amount": "10",
"transaction_token": "TOKEN_GOES_HERE",
"cardholder_name": "FIRST_NAME_GOES_HERE LAST_NAME_GOES_HERE",
"exp_date": 419,
"type": "VISA",
"postal_code": 10004
}'
{
"card_background_image": "IMAGE_URL_GOES_HERE",
"card_number": "CARD_NUMBER_GOES_HERE",
"epin": "EPIN_GOES_HERE",
"usb_scannable_card_number": "CARD_NUMBER_GOES_HERE",
"created_at": "2016-05-12T03:54:45-06:00",
"design_id": 1,
"preferred": false,
"name": null,
"last_fetched_amount": 10,
"last_fetched_at": "2016-05-12T03:54:45-06:00",
"status": "active",
"updated_at": "2016-05-12T03:54:45-06:00",
"users": [
{
"user_id": 111111111,
"email": "test@example.com",
"first_name": "FIRST_NAME_GOES_HERE",
"last_name": "LAST_NAME_GOES_HERE",
"fb_uid": null,
"avatar_remote_url": null,
"state": "owner"
}
],
"uuid": "ID_GOES_HERE",
"gift_card_id": "ID_GOES_HERE",
"auto_reload_enabled": true,
"gc_user_auto_reload_threshold_amount": 50,
"gc_user_auto_reload_default_amount": 50,
"gc_user_auto_reload_preferred_payment": "PAYMENT_CARD_UUID_GOES_HERE"
}